%define gpg_program 1
%define glibc_code_ver %{get_version glibc-core}
%add_findreq_skiplist %_sysconfdir/X11/xinit.d/*

Name: gnupg2
Version: 2.0.3
Release: alt1

Group: System/Libraries
Summary: The GNU Privacy Guard 2
License: GPL
Url: http://www.gnupg.org/

PreReq(post,preun): info-install

Provides: newpg = %version-%release
Obsoletes: newpg < %version-%release
Provides: gnupg-agent = %version-%release
Provides: gpg-agent = %version-%release

%if %gpg_program
%else
Requires: gnupg
%endif
Requires: libassuan >= 0.9.3

Source0: ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/gnupg-%version.tar.bz2
Source1: gnupg-agent.sh
Patch1: gnupg-1.6.9-xloadimage.patch
Patch2: gnupg-1.9.15-gnupg2-info.patch
Patch3: gnupg-1.9.20-alt-libpcsclite.patch
Patch4: gnupg-2.0.1-alt-dont-req-new-gettext.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl docbook-utils libassuan-devel libcap-devel libgcrypt-devel libgpg-error-devel libksba-devel libopensc-devel libpcsclite-devel libpth-devel libusb-devel sgml-common zlib-devel
BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl
BuildRequires: docbook-utils libcap-devel libgcrypt-devel
BuildRequires: libassuan-devel >= 0.9.3
BuildRequires: libgpg-error-devel libksba-devel >= 0.9.13
#BuildRequires: libopensc-devel libpcsclite-devel
BuildRequires: libusb-devel
BuildRequires: libpth-devel
BuildRequires: sgml-common zlib-devel

%description
GnuPG 1.9 is the future version of GnuPG; it is based on the gnupg-1.3
code and the previous newpg package.  It will eventually lead to a
GnuPG 2.0 release.


%prep
%setup -q -n gnupg-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
mv -f doc/gnupg.texi doc/gnupg2.texi
./autogen.sh

%build
%configure \
	--disable-rpath \
	--with-capabilities \
%if %gpg_program
	--enable-gpg \
%else
	--disable-gpg \
%endif
	--enable-m-guard \
	--disable-m-debug \
	--enable-symcryptrun \
	--without-included-gettext \
	--enable-threads=posix \
	--with-mailprog=%_sbindir/sendmail \
	--with-pinentry-pgm=%_bindir/pinentry \
	--libexecdir=%_libdir/gnupg \
	--with-pkits-tests
%make

%install
%make install DESTDIR=%buildroot

mkdir -p %buildroot/%_sysconfdir/profile.d/ %buildroot/%_sysconfdir/X11/xinit.d/
install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/gnupg-agent.sh
ln -s ../../profile.d/gnupg-agent.sh %buildroot/%_sysconfdir/X11/xinit.d/gnupg-agent.sh

%if %gpg_program
%else
    ln -s gpg %buildroot/%_bindir/gpg2
%endif

%find_lang %name

#%post -p %post_ldconfig
#%postun -p %postun_ldconfig
%post
%install_info gnupg2.info
%postun
%uninstall_info gnupg2.info

%files -f %name.lang
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%doc %_man1dir/*.1*
%doc %_man8dir/*.8*
#%_sysconfdir/X11/xinit.d/gnupg-agent.sh
%config %_sysconfdir/profile.d/gnupg-agent.sh
%_bindir/*
#%exclude %_bindir/gpg-zip
#%exclude %_bindir/gpgsplit
%_sbindir/*
%_libdir/gnupg
%_datadir/gnupg
%_infodir/*.info*

%changelog
* Fri Mar 09 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.3-alt1
- new version

* Mon Feb 05 2007 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt1
- new version

* Thu Dec 07 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.1-alt1
- new version
- add pathc to fix CVE-2006-6235
- built with posix threads

* Tue Nov 28 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt2
- add patch to fix buffer overflow

* Mon Nov 13 2006 Sergey V Turchin <zerg at altlinux dot org> 2.0.0-alt1
- new version
- built gpg2 program

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt3
- don't package /etc/X11/xinit.d file

* Thu Oct 12 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt2
- resolve file conflicts with gnupg

* Wed Oct 11 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.92-alt1
- new version

* Thu Jan 26 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.20-alt2
- don't build gpg2; symlink to gpg
- fix libpcsclite file name for dlopening

* Fri Jan 20 2006 Sergey V Turchin <zerg at altlinux dot org> 1.9.20-alt1
- new version

* Wed Jun 22 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt2
- fix Patch4

* Tue Jun 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.15-alt1
- new version
- do not apply patch for $TMPDIR

* Tue Nov 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.12-alt1
- new version
- add patch for $TMPDIR
  thanks raorn@altlinux
- improve gnupg-agent.sh
  thanks raorn@altlinux

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.11-alt1
- new version

* Fri Aug 13 2004 Stanislav Ievlev <inger@altlinux.org> 1.9.7-alt2.1
- ported to new alternatives scheme

* Thu Jul 22 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt2
- fix gnupg-agent.sh about $GNUPGHOME

* Fri Apr 16 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt1
- new version

* Wed Apr 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt2
- build with gpg2
- rename package from newpg
- fix image viewver program name
- fix path to gpg-protect-tool
- fix package description

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt1
- new version
- build without gpg2
- add modyfied gnupg-agent.sh from PLD

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt3
- rebuild with new libpth

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt2
- rebuild with libopensc

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.9.4-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- Update from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- first package

